image:
  registry: registry.gitlab.com
  repository: operator-ict/golemio/devops/postgresql-faketime/master
  tag: 13.6.0

global:
  postgresql:
    auth:
      postgresPassword: "pass"
      database: "vehicle-positions"

primary:
  service:
    type: NodePort
    nodePorts:
      postgresql: 30432
  persistence:
    enabled: false
  nodeSelector:
    type: performance-tests
  tolerations:
    - key: "performance-tests"
      operator: "Exists"
      effect: "NoSchedule"
  resources:
    requests:
      memory: 512Mi
      cpu: 250m
    limits:
      memory: 1024Mi
      cpu: 1000m
  livenessProbe:
    enabled: false
  readinessProbe:
    enabled: false
  initdb:
    scriptsSecret: postgres-init-secret
  extraEnvVars:
    - name: FAKETIME
      value: "@2022-06-20 04:00:00 +0200"
